KBD_MODE(1)

NUME
kbd_mode - raportează sau configurează modul tastaturii

SINOPSIS
kbd_mode [ -a | -u | -k | -s | -d ] [ -f ] [ -C CONSOLA ]

DESCRIERE

Fără argument, kbd_mode afișează modul curent al tastaturii (RAW, MEDIUMRAW sau XLATE). Cu ajutorul opțiunilor este posibil să comutați modul tastaturii consolei curente sau a consolei specificate.

OPȚIUNI

-a, --ascii
    stabilește: modul ASCII (XLATE),

-k, --keycode
    stabilește: modul de cod de taste (MEDIUMRAW),

-s, --scancode
    stabilește: modul de scanare a codului (RAW),

-u, --unicode
    stabilește: modul UTF-8 (UNICODE).

-d, --disable
    dezactivează modul (OFF).

-f, --force
    comută modul chiar dacă asta face ca tastatura să fie inutilizabilă.

-C, --console=DEV
    dispozitivul consolă care urmează să fie utilizat.

Desigur, „-a” este doar tradițional, iar codul utilizat poate fi orice set de caractere pe 8 biți. Cu „-u” se așteaptă un set de caractere pe 16 biți, iar aceste caractere sunt transmise nucleului sub forma a 1, 2 sau 3 octeți (conform codului UTF-8). În aceste ultime două moduri se utilizează cartografierea tastelor definită de loadkeys(1).

Modul Dezactivare pentru tastatura consolei virtuale este OFF pentru a completa RAW în care toate evenimentele tastelor sunt ignorate. Acest mod previne supraîncărcarea tampoanelor de intrare vt atunci când un program se deschide, dar nu citește de la un tty, cum ar fi Xorg care utilizează doar evdev pentru intrare.

kbd_mode operează pe consola specificată de opțiunea „-C”; dacă nu există, se utilizează consola asociată cu intrarea standard (stdin).

Avertisment: schimbarea modului de tastatură, în afară de ASCII și Unicode, va face probabil ca tastatura dumneavoastră să devină inutilizabilă. Folosiți opțiunea „-f” pentru a forța astfel de modificări. Această comandă este destinată doar pentru a fi utilizată (de exemplu, prin conectare de la distanță) atunci când un program a lăsat tastatura în starea greșită. Rețineți că, în unele versiuni învechite ale acestui program, opțiunea „-u” a fost un sinonim pentru „-s” și este posibil ca versiunile mai vechi ale acestui program să nu recunoască opțiunea „-f”.

AUTORI
Andries Brouwer <aeb@cwi.nl>

CONSULTAȚI ȘI
loadkeys(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.